Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Require Bison 2.6

  • Loading branch information...
commit a68ebf8e376a2f712cb7b00442e66c0c416026b4 1 parent 8047097
@edolstra edolstra authored
Showing with 4 additions and 5 deletions.
  1. +3 −4 doc/manual/installation.xml
  2. +1 −1  release.nix
View
7 doc/manual/installation.xml
@@ -166,11 +166,10 @@ a source distribution.</para>
<listitem><para>Recent versions of Bison and Flex to build the
parser. (This is because Nix needs GLR support in Bison and
- reentrancy support in Flex.) For Bison, you need version 2.3 or
- higher (1.875 does <emphasis>not</emphasis> work), which can be
- obtained from the <link
+ reentrancy support in Flex.) For Bison, you need version 2.6, which
+ can be obtained from the <link
xlink:href="ftp://alpha.gnu.org/pub/gnu/bison">GNU FTP
- server</link>. For Flex, you need version 2.5.33, which is
+ server</link>. For Flex, you need version 2.5.35, which is
available on <link
xlink:href="http://lex.sourceforge.net/">SourceForge</link>.
Slightly older versions may also work, but ancient versions like the
View
2  release.nix
@@ -19,7 +19,7 @@ let
inherit officialRelease;
buildInputs =
- [ curl bison25 flex2535 perl libxml2 libxslt w3m bzip2
+ [ curl bison flex2535 perl libxml2 libxslt w3m bzip2
tetex dblatex nukeReferences pkgconfig sqlite git
];
Please sign in to comment.
Something went wrong with that request. Please try again.